<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <artifactId>exo-clouddrive-gdrive</artifactId>
    <groupId>org.exoplatform.addons</groupId>
    <version>1.4.0-Beta1</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>exo-clouddrive-gdrive-services</artifactId>
  <name>eXo Cloud Drive :: Connectors :: Google Drive :: Services</name>
  <description>eXo Cloud Drive Google Drive connector extension configuration and services</description>
  <build>
    <resources>
      <resource>
        <directory>src/main/java</directory>
        <includes>
          <include>**/*.xml</include>
        </includes>
      </resource>
      <resource>
        <directory>src/main/resources</directory>
        <includes>
          <include>**/*.properties</include>
          <include>**/*.xml</include>
          <include>**/*.conf</include>
        </includes>
      </resource>
    </resources>
    <testResources>
      <testResource>
        <directory>src/test/resources</directory>
        <includes>
          <include>**/*.properties</include>
          <include>**/*.xml</include>
          <include>**/*.txt</include>
          <include>**/*.policy</include>
          <include>**/*.conf</include>
        </includes>
      </testResource>
    </testResources>
    <plugins>
      <plugin>
        <artifactId>maven-surefire-plugin</artifactId>
        <configuration>
          <useFile>false</useFile>
          <argLine>${env.MAVEN_OPTS} -Djava.security.manager=org.exoplatform.commons.test.TestSecurityManager
            -Djava.security.policy=${project.build.directory}/test-classes/conf/test.policy</argLine>
          <systemPropertyVariables>
            <maven.exoplatform.dir>${project.build.directory}</maven.exoplatform.dir>
            <exo.conf.dir.name>test-classes/conf</exo.conf.dir.name>
            <java.security.auth.login.config>${project.build.directory}/test-classes/conf/jaas.conf</java.security.auth.login.config>
          </systemPropertyVariables>
          <includes>
            <include>**/**/NoTest*.java</include>
          </includes>
          <excludes>
            <exclude>**/**/TestGoogle*.java</exclude>
          </excludes>
          <forkCount>0</forkCount>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-failsafe-plugin</artifactId>
        <executions>
          <execution>
            <id>integration-spec</id>
            <goals>
              <goal>integration-test</goal>
            </goals>
            <configuration>
              <argLine>${env.MAVEN_OPTS}
                -Djava.security.manager=org.exoplatform.commons.test.TestSecurityManager
                -Djava.security.policy=${project.build.directory}/test-classes/conf/test.policy</argLine>
              <systemPropertyVariables>
                <exo.test.type>integration</exo.test.type>
                <maven.exoplatform.dir>${project.build.directory}</maven.exoplatform.dir>
                <exo.conf.dir.name>test-classes/conf</exo.conf.dir.name>
                <java.security.auth.login.config>${project.build.directory}/test-classes/conf/jaas.conf</java.security.auth.login.config>
              </systemPropertyVariables>
              <includes>
                <include>**/**/*No_Spec.java</include>
              </includes>
              <forkCount>0</forkCount>
            </configuration>
          </execution>
        </executions>
        <dependencies>
          <dependency>
            <groupId>org.apache.maven.surefire</groupId>
            <artifactId>surefire-junit47</artifactId>
            <version>${maven.surefire.junit47.version}</version>
          </dependency>
        </dependencies>
      </plugin>
      <plugin>
        <groupId>org.codehaus.gmaven</groupId>
        <artifactId>gmaven-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>testCompile</goal>
            </goals>
          </execution>
        </executions>
        <dependencies>
          <dependency>
            <groupId>org.codehaus.gmaven.runtime</groupId>
            <artifactId>gmaven-runtime-2.0</artifactId>
            <version>${maven.gmaven.runtime.version}</version>
            <exclusions>
              <exclusion>
                <artifactId>groovy-all</artifactId>
                <groupId>org.codehaus.groovy</groupId>
              </exclusion>
            </exclusions>
          </dependency>
          <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy-all</artifactId>
            <version>${test.groovy.version}</version>
          </dependency>
        </dependencies>
        <configuration>
          <providerSelection>2.0</providerSelection>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <artifactSet>
                <includes>
                  <include>com.google.api-client:google-api-client</include>
                  <include>com.google.oauth-client:google-oauth-client</include>
                  <include>com.google.apis:google-api-services-drive</include>
                  <include>com.google.apis:google-api-services-oauth2</include>
                  <include>com.google.http-client:google-http-client-jackson2</include>
                  <include>com.google.http-client:google-http-client</include>
                </includes>
              </artifactSet>
              <relocations>
                <relocation>
                  <pattern>com.google.api</pattern>
                  <shadedPattern>org.exoplatform.shaded.google.api</shadedPattern>
                </relocation>
              </relocations>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
  <dependencies>
    <dependency>
      <groupId>org.exoplatform.addons</groupId>
      <artifactId>exo-clouddrive-services-core</artifactId>
      <version>1.4.0-Beta1</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>icu4j</artifactId>
          <groupId>com.ibm.icu</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.addons</groupId>
      <artifactId>exo-clouddrive-services-ecms</artifactId>
      <version>1.4.0-Beta1</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.kernel</groupId>
      <artifactId>exo.kernel.container</artifactId>
      <version>2.5.4-GA</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>exo.kernel.commons</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
        <exclusion>
          <artifactId>javax.servlet-api</artifactId>
          <groupId>javax.servlet</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-beanutils</artifactId>
          <groupId>commons-beanutils</groupId>
        </exclusion>
        <exclusion>
          <artifactId>wci-wci</artifactId>
          <groupId>org.gatein.wci</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jibx-run</artifactId>
          <groupId>org.jibx</groupId>
        </exclusion>
        <exclusion>
          <artifactId>javax.inject</artifactId>
          <groupId>javax.inject</groupId>
        </exclusion>
        <exclusion>
          <artifactId>cdi-api</artifactId>
          <groupId>javax.enterprise</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.kernel</groupId>
      <artifactId>exo.kernel.component.common</artifactId>
      <version>2.5.4-GA</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>quartz</artifactId>
          <groupId>org.quartz-scheduler</groupId>
        </exclusion>
        <exclusion>
          <artifactId>mail</artifactId>
          <groupId>javax.mail</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jgroups</artifactId>
          <groupId>org.jgroups</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.core</groupId>
      <artifactId>exo.core.component.organization.api</artifactId>
      <version>2.6.4-GA</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>exo.kernel.component.cache</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.core.component.security.core</artifactId>
          <groupId>org.exoplatform.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>hibernate-core</artifactId>
          <groupId>org.hibernate</groupId>
        </exclusion>
        <exclusion>
          <artifactId>xstream</artifactId>
          <groupId>com.thoughtworks.xstream</groupId>
        </exclusion>
        <exclusion>
          <artifactId>xpp3</artifactId>
          <groupId>org.ogce</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.jcr</groupId>
      <artifactId>exo.jcr.component.core</artifactId>
      <version>1.16.4-GA</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>exo.kernel.component.command</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.core.component.document</artifactId>
          <groupId>org.exoplatform.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.core.component.database</artifactId>
          <groupId>org.exoplatform.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>lucene-core</artifactId>
          <groupId>org.apache.lucene</groupId>
        </exclusion>
        <exclusion>
          <artifactId>lucene-spellchecker</artifactId>
          <groupId>org.apache.lucene</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jta</artifactId>
          <groupId>javax.transaction</groupId>
        </exclusion>
        <exclusion>
          <artifactId>concurrent</artifactId>
          <groupId>concurrent</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-collections</artifactId>
          <groupId>commons-collections</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jbossjta</artifactId>
          <groupId>org.jboss.jbossts</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ws-commons-util</artifactId>
          <groupId>org.apache.ws.commons</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jboss-common-core</artifactId>
          <groupId>org.jboss</groupId>
        </exclusion>
        <exclusion>
          <artifactId>antlr-runtime</artifactId>
          <groupId>org.antlr</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.kernel.component.ext.cache.impl.infinispan.v5</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
        <exclusion>
          <artifactId>infinispan-core</artifactId>
          <groupId>org.infinispan</groupId>
        </exclusion>
        <exclusion>
          <artifactId>infinispan-cachestore-jdbc</artifactId>
          <groupId>org.infinispan</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jgroups</artifactId>
          <groupId>org.jgroups</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.jcr</groupId>
      <artifactId>exo.jcr.component.ext</artifactId>
      <version>1.16.4-GA</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>exo.ws.rest.ext</artifactId>
          <groupId>org.exoplatform.ws</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.jcr</groupId>
      <artifactId>exo.jcr.framework.web</artifactId>
      <version>1.16.4-GA</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>exo.jcr.framework.command</artifactId>
          <groupId>org.exoplatform.jcr</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.ws</groupId>
      <artifactId>exo.ws.commons</artifactId>
      <version>2.4.4-GA</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>exo.kernel.commons</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.ecms</groupId>
      <artifactId>ecms-core-webui-explorer</artifactId>
      <version>4.3.0-RC1-1</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>commons-lang</artifactId>
          <groupId>commons-lang</groupId>
        </exclusion>
        <exclusion>
          <artifactId>portlet-api</artifactId>
          <groupId>javax.portlet</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-webui-ext</artifactId>
          <groupId>org.exoplatform.commons</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-webui-component</artifactId>
          <groupId>org.exoplatform.commons</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-connector</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-publication</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-publication-plugins</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-search</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-services</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-viewer</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-webui</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-ext-authoring-services</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.webui.core</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.common</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.portal</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.resources</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.web.controller</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.web.resources</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.web.server</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.webui.eXo</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.webui.framework</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.webui.portal</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.webui.portlet</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ws-commons-util</artifactId>
          <groupId>org.apache.ws.commons</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.core.component.document</artifactId>
          <groupId>org.exoplatform.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.core.component.security.core</artifactId>
          <groupId>org.exoplatform.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.kernel.commons</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform.platform</groupId>
      <artifactId>platform-component-common</artifactId>
      <version>4.3.0-RC1-1</version>
      <scope>provided</scope>
      <exclusions>
        <exclusion>
          <artifactId>chromattic.api</artifactId>
          <groupId>org.chromattic</groupId>
        </exclusion>
        <exclusion>
          <artifactId>chromattic.apt</artifactId>
          <groupId>org.chromattic</groupId>
        </exclusion>
        <exclusion>
          <artifactId>chromattic.ext</artifactId>
          <groupId>org.chromattic</groupId>
        </exclusion>
        <exclusion>
          <artifactId>chromattic.spi</artifactId>
          <groupId>org.chromattic</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-api</artifactId>
          <groupId>org.exoplatform.commons</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-component-common</artifactId>
          <groupId>org.exoplatform.commons</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-component-product</artifactId>
          <groupId>org.exoplatform.commons</groupId>
        </exclusion>
        <exclusion>
          <artifactId>forum-forum-service</artifactId>
          <groupId>org.exoplatform.forum</groupId>
        </exclusion>
        <exclusion>
          <artifactId>social-component-common</artifactId>
          <groupId>org.exoplatform.social</groupId>
        </exclusion>
        <exclusion>
          <artifactId>social-component-core</artifactId>
          <groupId>org.exoplatform.social</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.ws.rest.core</artifactId>
          <groupId>org.exoplatform.ws</groupId>
        </exclusion>
        <exclusion>
          <artifactId>common-common</artifactId>
          <groupId>org.gatein.common</groupId>
        </exclusion>
        <exclusion>
          <artifactId>pc-api</artifactId>
          <groupId>org.gatein.pc</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.application-registry</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.web.api</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>shindig-social-api</artifactId>
          <groupId>org.gatein.shindig</groupId>
        </exclusion>
        <exclusion>
          <artifactId>picocontainer</artifactId>
          <groupId>picocontainer</groupId>
        </exclusion>
        <exclusion>
          <artifactId>commons-lang</artifactId>
          <groupId>commons-lang</groupId>
        </exclusion>
        <exclusion>
          <artifactId>portlet-api</artifactId>
          <groupId>javax.portlet</groupId>
        </exclusion>
        <exclusion>
          <artifactId>ecms-core-services</artifactId>
          <groupId>org.exoplatform.ecms</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.kernel.component.ext.cache.impl.infinispan.v5</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.common</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.component.portal</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.portal.webui.portal</artifactId>
          <groupId>org.gatein.portal</groupId>
        </exclusion>
        <exclusion>
          <artifactId>xstream</artifactId>
          <groupId>com.thoughtworks.xstream</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.core.component.security.core</artifactId>
          <groupId>org.exoplatform.core</groupId>
        </exclusion>
        <exclusion>
          <artifactId>exo.kernel.commons</artifactId>
          <groupId>org.exoplatform.kernel</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>javax.jcr</groupId>
      <artifactId>jcr</artifactId>
      <version>1.0.1</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>javax.ws.rs</groupId>
      <artifactId>jsr311-api</artifactId>
      <version>1.0</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.hsqldb</groupId>
      <artifactId>hsqldb</artifactId>
      <version>2.3.3</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-log4j12</artifactId>
      <version>1.7.7</version>
      <scope>test</scope>
      <exclusions>
        <exclusion>
          <artifactId>slf4j-api</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
        <exclusion>
          <artifactId>log4j</artifactId>
          <groupId>log4j</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.exoplatform</groupId>
      <artifactId>exo-jcr-services</artifactId>
      <version>1.16.1-GA</version>
      <scope>test</scope>
      <exclusions>
        <exclusion>
          <artifactId>exo.ws.rest.ext</artifactId>
          <groupId>org.exoplatform.ws</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.11</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.testng</groupId>
      <artifactId>testng</artifactId>
      <version>6.8.8</version>
      <scope>test</scope>
      <exclusions>
        <exclusion>
          <artifactId>bsh</artifactId>
          <groupId>org.beanshell</groupId>
        </exclusion>
        <exclusion>
          <artifactId>jcommander</artifactId>
          <groupId>com.beust</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.spockframework</groupId>
      <artifactId>spock-core</artifactId>
      <version>0.7-groovy-2.0</version>
      <scope>test</scope>
      <exclusions>
        <exclusion>
          <artifactId>groovy-all</artifactId>
          <groupId>org.codehaus.groovy</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.codehaus.groovy</groupId>
      <artifactId>groovy-all</artifactId>
      <version>2.0.8</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm</artifactId>
      <version>4.0</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>cglib</groupId>
      <artifactId>cglib-nodep</artifactId>
      <version>2.2.2</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.objenesis</groupId>
      <artifactId>objenesis</artifactId>
      <version>1.2</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.hamcrest</groupId>
      <artifactId>hamcrest-core</artifactId>
      <version>1.3</version>
      <scope>test</scope>
    </dependency>
  </dependencies>
</project>

